petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecNestGetSubVecs

Returns the entire array of vectors defining a nest vector.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecNestGetSubVecs(Vec X,PetscInt *N,Vec **sx)

Not collective Many br

### Input Parameters

X -nest vector Many br

### Output Parameter

| N | - number of nested vecs Many br
| sx | - array of vectors Many br

### Notes

The user should not free the array sx. Many br

### Fortran Notes

The caller must allocate the array to hold the subvectors. Many br

Many br

.seealso: VecNestGetSize(), VecNestGetSubVec() Many br

Level:developer
Location:src/vec/vec/impls/nest/vecnest.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages